當您開啟 Exchange 管理命令介面時,SetupVersionInformationCorruptException 錯誤

原始 KB 編號: 4056663

徵狀

當您開啟 EMS 時,您會收到下列錯誤訊息:

[SetupVersionInformationCorruptException]無法從登錄機碼判斷已安裝的檔案版本

原因

此問題可能會在您卸載 PowerShell 2.0 之後發生。 當您卸載 PowerShell 2.0 時,卸載程式也會移除 EMS 用來判斷是否已安裝 PowerShell 的下列登錄機碼:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\PowerShell\1\PowerShellEngine

因應措施 1 - 匯入登錄機碼

  1. 下載 PowerShellEngine 登錄機碼
  2. 將登錄機碼匯入伺服器。

因應措施 2 - 重新安裝 PowerShell 2.0

若要安裝 PowerShell 2.0,請參閱安裝 Windows PowerShell 2.0 引擎

狀態

Microsoft 正致力於解決此問題,並且會在資訊可供使用時,于本文中張貼更多資訊。